<?php 
function load_stylesheets()
{


wp_register_style('bootstrap', get_template_directory_uri() . '/css/bootstrap.min.css');
wp_enqueue_style('bootstrap');
wp_register_style('settings', get_template_directory_uri() . '/css/settings.css');
wp_enqueue_style('settings');
wp_register_style('font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css');
wp_enqueue_style('font-awesome');
wp_register_style('prettyPhoto', get_template_directory_uri() . '/css/prettyPhoto.css');
wp_enqueue_style('prettyPhoto');
wp_register_style('owl.carousel', get_template_directory_uri() . '/css/owl.carousel.css');
wp_enqueue_style('owl.carousel');
wp_register_style('style', get_template_directory_uri() . '/css/style.css');
wp_enqueue_style('style');
wp_register_style('preloader', get_template_directory_uri() . '/css/preloader.css');
wp_enqueue_style('preloader');
wp_register_style('custom', get_template_directory_uri() . '/css/custom.css');
wp_enqueue_style('custom');
wp_register_style('nivo', get_template_directory_uri() . '/css/nivo-slider.css');
wp_enqueue_style('nivo');
wp_register_style('animate', get_template_directory_uri() . '/css/animate.min.css');
wp_enqueue_style('animate');
}
add_action('wp_enqueue_scripts','load_stylesheets');


//load scripts

function addjs(){

	wp_register_script('jquery', get_template_directory_uri(). '/js/jquery.min.js','',1,1,1);
	wp_enqueue_script('jquery');
	wp_register_script('migrate', get_template_directory_uri(). '/js/jquery-migrate.min.js','',1,1,1);
	wp_enqueue_script('migrate');
	wp_register_script('bootstrap', get_template_directory_uri(). '/js/bootstrap.min.js','',1,1,1);
	wp_enqueue_script('bootstrap');
	wp_register_script('themepunch', get_template_directory_uri(). '/js/jquery.themepunch.tools.min.js','',1,1,1);
	wp_enqueue_script('themepunch');
	wp_register_script('revolution', get_template_directory_uri(). '/js/jquery.themepunch.revolution.min.js','',1,1,1);
	wp_enqueue_script('revolution');
	wp_register_script('snap', get_template_directory_uri(). '/js/snap.min.js','',1,1,1);
	wp_enqueue_script('snap');
	wp_register_script('carousel', get_template_directory_uri(). '/js/owl.carousel.min.js','',1,1,1);
	wp_enqueue_script('carousel');
	wp_register_script('prettyPhoto', get_template_directory_uri(). '/js/jquery.prettyPhoto.js','',1,1,1);
	wp_enqueue_script('prettyPhoto');
	wp_register_script('prettyPhoto.init', get_template_directory_uri(). '/js/jquery.prettyPhoto.init.min.js','',1,1,1);
	wp_enqueue_script('prettyPhoto.init');
	wp_register_script('jQuery.headroom', get_template_directory_uri(). '/js/jQuery.headroom.min.js','',1,1,1);
	wp_enqueue_script('jQuery.headroom');
	
	wp_register_script('headroom', get_template_directory_uri(). '/js/headroom.min.js','',1,1,1);
	wp_enqueue_script('headroom');
    
	wp_register_script('script', get_template_directory_uri(). '/js/script.js','',1,1,1);
	wp_enqueue_script('script');
    wp_register_script('nivo', get_template_directory_uri(). '/js/jquery.nivo.slider.pack.js','',1,1,1);
	wp_enqueue_script('nivo');
     wp_register_script('wow', get_template_directory_uri(). '/js/wow.js','',1,1,1);
	wp_enqueue_script('wow');
    // wp_register_script('video', get_template_directory_uri(). '/js/extensions/revolution.extension.video.min.js','',1,1,1);
	// wp_enqueue_script('video');
    wp_register_script('slideanims', get_template_directory_uri(). '/js/extensions/revolution.extension.slideanims.min.js','',1,1,1);
	wp_enqueue_script('slideanims');
    wp_register_script('actions', get_template_directory_uri(). '/js/extensions/revolution.extension.actions.min.js','',1,1,1);
	wp_enqueue_script('actions');
    wp_register_script('layeranimation', get_template_directory_uri(). '/js/extensions/revolution.extension.layeranimation.min.js','',1,1,1);
	wp_enqueue_script('layeranimation');
	wp_register_script('kenburn', get_template_directory_uri(). '/js/extensions/revolution.extension.kenburn.min.js','',1,1,1);
	wp_enqueue_script('kenburn');
	wp_register_script('navigation', get_template_directory_uri(). '/js/extensions/revolution.extension.navigation.min.js','',1,1,1);
	wp_enqueue_script('navigation');
    wp_register_script('migration', get_template_directory_uri(). '/js/extensions/revolution.extension.migration.min.js','',1,1,1);
	wp_enqueue_script('migration');
	wp_register_script('parallax', get_template_directory_uri(). '/js/extensions/revolution.extension.parallax.min.js','',1,1,1);
	wp_enqueue_script('parallax');
	
	
}
	
	add_action('wp_enqueue_scripts','addjs');




function revcon_change_post_label() {
    global $menu;
    global $submenu;
    $menu[5][0] = 'Gallery';
    $submenu['edit.php'][5][0] = 'gallery';
    $submenu['edit.php'][10][0] = 'Add Gallery';
    $submenu['edit.php'][16][0] = 'Gallery Tags';
}
function revcon_change_post_object() {
    global $wp_post_types;
    $labels = &$wp_post_types['post']->labels;
    $labels->name = 'Gallery';
    $labels->singular_name = 'Gallery';
    $labels->add_new = 'Add Gallery';
    $labels->add_new_item = 'Add Gallery';
    $labels->edit_item = 'Edit Gallery';
    $labels->new_item = 'Gallery';
    $labels->view_item = 'View Gallery';
    $labels->search_items = 'Search Gallery';
    $labels->not_found = 'No Gallery found';
    $labels->not_found_in_trash = 'No Gallery found in Trash';
    $labels->all_items = 'All Gallery';
    $labels->menu_name = 'Gallery';
    $labels->name_admin_bar = 'Gallery';
}
 
add_action( 'admin_menu', 'revcon_change_post_label' );
add_action( 'init', 'revcon_change_post_object' );




// function create_gallery_post_type() {
   
// $labels = array(
// 'name' => _x( 'Gallery', 'gallery' ),
// 'singular_name' => _x( 'gallery', 'gallery' ),
// 'add_new' => _x( 'Add New', 'gallery' ),
// 'add_new_item' => _x( 'Add New gallery', 'gallery' ),
// 'edit_item' => _x( 'Edit gallery', 'gallery' ),
// 'new_item' => _x( 'New gallery', 'gallery' ),
// 'view_item' => _x( 'View gallery', 'gallery' ),
// 'search_items' => _x( 'Search gallery', 'gallery' ),
// 'not_found' => _x( 'No services found', 'gallery' ),
// 'not_found_in_trash' => _x( 'No services found in Trash', 'gallery' ),
// 'parent_item_colon' => _x( 'Parent gallery:', 'gallery' ),
// 'menu_name' => _x( 'Gallery', 'gallery' ),
// );
// $args = array(
// 'labels' => $labels,
// 'hierarchical' => true,
// 'description' => 'Hi, this is my custom post type.',
// 'supports' => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'trackbacks', 'custom-fields', 'comments', 'revisions', 'page-attributes' ),
// 'taxonomies' => array( 'category', 'post_tag', 'page-category' ),
// 'public' => true,
// 'show_ui' => true,
// 'show_in_menu' => true,
// 'show_in_nav_menus' => true,
// 'publicly_queryable' => true,
// 'exclude_from_search' => false,
// 'has_archive' => true,
// 'query_var' => true,
// 'can_export' => true,
// 'rewrite' => true,
// 'capability_type' => 'post'
// );
// register_post_type( 'gallery', $args );
// }
// add_action( 'init', 'create_gallery_post_type' );

function create_courses_post_type() {
    //posttypename = services
$labels = array(
'name' => _x( 'Courses', 'courses' ),
'singular_name' => _x( 'courses', 'courses' ),
'add_new' => _x( 'Add New', 'courses' ),
'add_new_item' => _x( 'Add New courses', 'courses' ),
'edit_item' => _x( 'Edit courses', 'courses' ),
'new_item' => _x( 'New courses', 'courses' ),
'view_item' => _x( 'View courses', 'courses' ),
'search_items' => _x( 'Search courses', 'courses' ),
'not_found' => _x( 'No courses found', 'courses' ),
'not_found_in_trash' => _x( 'No courses found in Trash', 'courses' ),
'parent_item_colon' => _x( 'Parent courses:', 'courses' ),
'menu_name' => _x( 'courses', 'courses' ),
);
$args = array(
'labels' => $labels,
'hierarchical' => true,
'description' => 'Hi, this is my custom post type.',
'supports' => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'trackbacks', 'custom-fields', 'comments', 'revisions', 'page-attributes' ),
'taxonomies' => array( 'category', 'post_tag', 'page-category' ),
'public' => true,
'show_ui' => true,
'show_in_menu' => true,
'show_in_nav_menus' => true,
'publicly_queryable' => true,
'exclude_from_search' => false,
'has_archive' => true,
'query_var' => true,
'can_export' => true,
'rewrite' => true,
'capability_type' => 'post'
);
register_post_type( 'courses', $args );
}
add_action( 'init', 'create_courses_post_type' );













